Scrum - Defect #1153

Calendar partial : Sprint begin/end month icon on wrong month
2016-04-14 15:34 - Redmine Smile

Status: Resolved

Priority: Normal

Category: Calendar

Target version: Scrum v0.14.0

Source: Customer Blocked: No
Detected on version: Scrum v0.13.2 Alone: No
Description

Hi,

First, thanks for your marvelous plugin. We are testing it at Smile to see if we can use it on all our Agile projects.

The issue : if a Sprint begin / end day (for example the 3rd of april 2016) is a day that is present twice on the calendar view (that
displays full weeks) the first picked can be the wrong one :
Can you take a look at it ?
Thanks by advance.
Subtasks:
To do # 1170: Adapt provided patch Resolved
History

#1 - 2016-04-14 16:22 - Redmine Smile
Here is a solution that checks that the icon is on the right week :

e scrum_hooks/_sprints.html.erb

function AddSprintToDay (sprintName, sprintUrl, day, week, start)

{

var cellElement = null;
var cellElementWeekNumber = 0;
var dayOneFound = false;
var elements = document.getElementsByTagName ("*");
for (var i = 0; (cellElement == null) && (i < elements.length);
{
if (elements[i].className == "day-num")

{

var oneDay = parselnt (elements[i].childNodes[0].nodeValue) ;

if ((!'dayOneFound) && (oneDay == 1))
{
dayOneFound = true;
}
if (dayOneFound && (oneDay == day))
{
cellElement = elements[i].parentNode;
cellParentTR = cellElement.parentNode;
if (cellParentTR != null) {
cellParentTRFirstTD = cellParentTR.childNodes[1];
if (cellParentTRFirstTD != null) {

cellElementWeekNumber = parselnt (cellParentTRFirstTD.innerText);

}

i++)

if (cellElementWeekNumber != 0 && (cellElementWeekNumber == week))
cellElement = elements[i].parentNode;
} else {

cellElement = null;

e calendars_controller_patch.rb

def query_sprints (sprints, query, calendar, start)

date_field = start ? 'sprint_start_date' : 'sprint_end_date'
query.sprints.where(date_field => calendar.startdt..calendar.enddt,

is_product_backlog: false) .each do
sprints << {:name => sprint.name,

:url => url_for(:controller => :sprints,
raction => :show,
:id => sprint.id),

:day => sprint.send(date_field) .day,

:week => sprint.send(date_field) .cweek,

:start => start}

end
end

#2 - 2016-06-21 13:56 - Emilio Gonzalez Montana
- Status changed from New to In progress
- Target version set to Scrum v0.14.0

- Sprint set to Sprint 28

#3 - 2016-06-21 13:58 - Emilio Gonzalez Montaiha

- Status changed from In progress to Resolved
Thanks for the patch Ennder!

#4 - 2016-06-23 10:10 - Redmine Smile
Thanks a lot to have merged the patch !

#5 - 2017-11-10 01:01 - Redmine Smile

- File scrum_calendar._issue_wrong_month.png added
